Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 771434 - Provide native systemd service
Provide native systemd service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: couchdb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2012-01-03 13:36 EST by Jóhann B. Guðmundsson
Modified: 2012-02-15 14:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-15 13:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd unit for couchdb (224 bytes, text/plain)
2012-01-03 13:37 EST, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2012-01-03 13:36:26 EST
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2012-01-03 13:37:15 EST
Created attachment 550503 [details]
Native systemd unit for couchdb
Comment 2 Gwyn Ciesla 2012-02-14 11:49:00 EST
Peter, any objection to my making this change?
Comment 3 Peter Lemenkov 2012-02-14 12:54:15 EST
(In reply to comment #2)
> Peter, any objection to my making this change?

Yes, please go on with this.
Comment 4 Gwyn Ciesla 2012-02-15 13:48:47 EST
I've committed changes, but it won't build in rawhide, I suspect a gcc47 issue, but I'm having trouble nailing it down.

http://koji.fedoraproject.org/koji/getfile?taskID=3793522&name=build.log
Comment 5 Peter Lemenkov 2012-02-15 14:54:56 EST
(In reply to comment #4)
> I've committed changes, but it won't build in rawhide, I suspect a gcc47 issue,
> but I'm having trouble nailing it down.
> 
> http://koji.fedoraproject.org/koji/getfile?taskID=3793522&name=build.log

I'll take a look - updating couchdb to the latest version is one of my next TODO items.
Comment 6 Gwyn Ciesla 2012-02-15 14:58:36 EST
Ok, let me know if you need assistance.

Note You need to log in before you can comment on or make changes to this bug.